Uploaded image for project: 'Spring Tool Suite'
  1. Spring Tool Suite
  2. STS-865

Cannot install GlassFish Server connector

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Cannot Reproduce
    • Affects Version/s: 2.3.1.RELEASE
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      I want to connect SpringSource Tool Suite and GlassFish and didn't work after repeated tries.

      What steps will reproduce the problem?
      1. Open Servers view
      2. New -> Server
      3. More servers -> GlassFish
      4. Error during installation process (see below)

      – Error Details –
      Date: Sat Mar 13 07:34:18 WIT 2010
      Message: An error occurred during the org.eclipse.equinox.internal.provisional.p2.engine.phases.CheckTrust phase.
      Severity: Error
      Product: SpringSource Tool Suite 2.3.1.201003091003-RELEASE (com.springsource.sts.ide)
      Plugin: org.eclipse.equinox.p2.engine
      Session Data:
      eclipse.buildId=2.3.1.201003091003-RELEASE
      java.version=1.6.0_15
      java.vendor=Sun Microsystems Inc.
      BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_US
      Framework arguments: -product com.springsource.sts.ide
      Command-line arguments: -os linux -ws gtk -arch x86 -product com.springsource.sts.ide

      – Error Details –
      Date: Sat Mar 13 07:34:18 WIT 2010
      Message: Failed to prepare partial IU: [R]com.sun.enterprise.jst.server.sunappsrv 1.0.52.
      Severity: Error
      Product: SpringSource Tool Suite 2.3.1.201003091003-RELEASE (com.springsource.sts.ide)
      Plugin: org.eclipse.equinox.p2.touchpoint.eclipse

      – Error Details –
      Date: Sat Mar 13 07:34:18 WIT 2010
      Message: session context was:(profile=com.springsource.sts.ide, phase=org.eclipse.equinox.internal.provisional.p2.engine.phases.CheckTrust, operand=null --> [R]com.sun.enterprise.jst.server.sunappsrv 1.0.52, action=).
      Severity: Error
      Product: SpringSource Tool Suite 2.3.1.201003091003-RELEASE (com.springsource.sts.ide)
      Plugin: org.eclipse.equinox.p2.engine

        Activity

        Hide
        cdupuis Christian Dupuis added a comment -

        Stefen, could you take a look at this as it happens your platform.

        I can't reproduce this on my Mac. It works just fine.

        Christian

        Show
        cdupuis Christian Dupuis added a comment - Stefen, could you take a look at this as it happens your platform. I can't reproduce this on my Mac. It works just fine. Christian
        Hide
        ceefour Hendy Irawan added a comment -

        From similar reports on the net it seems only happens in Linux, and yes I'm using Linux (Ubuntu Karmic Koala 9.10).

        I have blogged a working workaround here: http://spring-java-ee.blogspot.com/2010/03/installing-glassfish-jst-server-adapter.html

        The workaround here (http://weblogs.java.net/blog/2009/06/26/upgrading-eclipse-galileo) is not working for me.

        Show
        ceefour Hendy Irawan added a comment - From similar reports on the net it seems only happens in Linux, and yes I'm using Linux (Ubuntu Karmic Koala 9.10). I have blogged a working workaround here: http://spring-java-ee.blogspot.com/2010/03/installing-glassfish-jst-server-adapter.html The workaround here ( http://weblogs.java.net/blog/2009/06/26/upgrading-eclipse-galileo ) is not working for me.
        Hide
        spingel Steffen Pingel added a comment -

        I haven't been able to reproduce this problem with STS 2.3.1 on either Ubuntu 8.04 or 9.04. Hendy, is your sts-2.3.1 directory writeable to the user that started STS?

        Show
        spingel Steffen Pingel added a comment - I haven't been able to reproduce this problem with STS 2.3.1 on either Ubuntu 8.04 or 9.04. Hendy, is your sts-2.3.1 directory writeable to the user that started STS?
        Hide
        ceefour Hendy Irawan added a comment -

        Yes my sts directory is writable as I installed it as normal user.

        My speculation is that during the first glassfish adapter download there is connection disruption. And I got that message, retried a few times and still won't work. Then I check the glassfish JARs in STS's features and plugins directory and it's corrupted (i.e. I tested it using unzip and fails).

        So I deleted the JARs manually from the features & plugins directory and retried but the same error occurs.

        I then tried the "Install New Software" from glassfish eclipse update site – that workaround didn't work.

        I then tried to download the JARs manually and copy them into dropins and this works perfectly.

        Show
        ceefour Hendy Irawan added a comment - Yes my sts directory is writable as I installed it as normal user. My speculation is that during the first glassfish adapter download there is connection disruption. And I got that message, retried a few times and still won't work. Then I check the glassfish JARs in STS's features and plugins directory and it's corrupted (i.e. I tested it using unzip and fails). So I deleted the JARs manually from the features & plugins directory and retried but the same error occurs. I then tried the "Install New Software" from glassfish eclipse update site – that workaround didn't work. I then tried to download the JARs manually and copy them into dropins and this works perfectly.
        Hide
        spingel Steffen Pingel added a comment -

        Hendy, can you verify if it works if you extract STS into a directory that is writeable by the user running STS?

        Show
        spingel Steffen Pingel added a comment - Hendy, can you verify if it works if you extract STS into a directory that is writeable by the user running STS?
        Hide
        ceefour Hendy Irawan added a comment -

        It has been writable all along.

        Show
        ceefour Hendy Irawan added a comment - It has been writable all along.
        Hide
        spingel Steffen Pingel added a comment -

        STS is now based on Eclipse 3.7 and there have been several improvements to p2. Are you still experiencing this problem with the latest 2.7 version of STS? If the problem persists please reopen the issue and provide steps to help us reproduce the problem. Thanks!

        Show
        spingel Steffen Pingel added a comment - STS is now based on Eclipse 3.7 and there have been several improvements to p2. Are you still experiencing this problem with the latest 2.7 version of STS? If the problem persists please reopen the issue and provide steps to help us reproduce the problem. Thanks!

          People

          • Assignee:
            Unassigned
            Reporter:
            ceefour Hendy Irawan
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: